package net.sz.engine;

import java.io.File;
import net.sz.engine.plugin.GenerateHandler;
import org.apache.log4j.Logger;

/**
 *
 *
 * @author 失足程序员
 * @mail 492794628@qq.com
 * @phone 13882122019
 */
public class CreateHandler {

    private static final Logger log = Logger.getLogger(CreateHandler.class);

    public CreateHandler(String pathString, Boolean isReq) {
        try {
            String userPath = System.getProperty("user.dir");
            File directory = new File(userPath + pathString);//设定为当前文件夹
            String protoPath = directory.getCanonicalPath();//获取标准的路径
            log.error(protoPath);
            GenerateHandler handler = new GenerateHandler(
                    protoPath + "\\src\\main\\messages\\net\\sz\\game\\protomessage",
                    userPath + "\\src\\main\\handlers\\",
                    "net\\sz\\game\\protohandler", isReq);
            handler.execute();
        } catch (Exception e) {
            log.error("", e);
        }
    }

}
