package net.sz.engine.utils;

import org.apache.log4j.Logger;
import org.json.simple.JSONValue;
import org.json.simple.parser.ParseException;

/**
 *
 *
 * @author 失足程序员
 * @mail 492794628@qq.com
 * @phone 13882122019
 */
public class JsonUtil {

    private static final Logger log = Logger.getLogger(JsonUtil.class);

    public static String toJSONString(Object obj) {
        //Object parse = JSONValue.parse("");
        return JSONValue.toJSONString(obj);
        //JSON.toJSONString(group);
    }

    public static <T> T toJSONObject(String strjson, Class<T> t) {
        try {
            Object parse = JSONValue.parseWithException(strjson);
            return (T) parse;
        } catch (ParseException ex) {
            log.error("ss", ex);
        }
        return null;
    }
}
